NX Open C++ Reference Guide
|
Represents a Features::Sphere builder. More...
Public Types | |
enum | Types { TypesCenterPointAndDiameter, TypesArc } |
Represents the sphere types. More... | |
Public Member Functions | |
NXOpen::SelectICurve * | Arc () |
Returns the selected arc associated with the Sphere. | |
NXOpen::GeometricUtilities::BooleanOperation * | BooleanOption () |
Returns the boolean operation associated with the Sphere. | |
NXOpen::Point * | CenterPoint () |
Returns the center point of the Sphere. | |
NXOpen::Expression * | Diameter () |
Returns the diameter of the Sphere. | |
bool | ParentAssociativity () |
Returns the option to keep associativity of the sphere center point Created in NX8.0.0. | |
void | SetCenterPoint (NXOpen::Point *centerPoint) |
Sets the center point of the Sphere. | |
void | SetParentAssociativity (bool parentAssociativity) |
Sets the option to keep associativity of the sphere center point Created in NX8.0.0. | |
void | SetType (NXOpen::Features::SphereBuilder::Types type) |
Sets the sphere type represented by Features::SphereBuilder::Types Created in NX6.0.0. | |
NXOpen::Features::SphereBuilder::Types | Type () |
Returns the sphere type represented by Features::SphereBuilder::Types Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::Sphere builder.
<br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSphereBuilder Features::FeatureCollection::CreateSphereBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Diameter.Value |
100 (millimeters part), 4 (inches part) |
Created in NX6.0.0.
NXOpen::SelectICurve* NXOpen::Features::SphereBuilder::Arc | ( | ) |
Returns the selected arc associated with the Sphere.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::BooleanOperation* NXOpen::Features::SphereBuilder::BooleanOption | ( | ) |
Returns the boolean operation associated with the Sphere.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::SphereBuilder::CenterPoint | ( | ) |
Returns the center point of the Sphere.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SphereBuilder::Diameter | ( | ) |
Returns the diameter of the Sphere.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SphereBuilder::ParentAssociativity | ( | ) |
Returns the option to keep associativity of the sphere center point
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::SphereBuilder::SetCenterPoint | ( | NXOpen::Point * | centerPoint | ) |
Sets the center point of the Sphere.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
centerPoint | centerpoint |
void NXOpen::Features::SphereBuilder::SetParentAssociativity | ( | bool | parentAssociativity | ) |
Sets the option to keep associativity of the sphere center point
Created in NX8.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
parentAssociativity | parentassociativity |
void NXOpen::Features::SphereBuilder::SetType | ( | NXOpen::Features::SphereBuilder::Types | type | ) |
Sets the sphere type represented by Features::SphereBuilder::Types
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
NXOpen::Features::SphereBuilder::Types NXOpen::Features::SphereBuilder::Type | ( | ) |
Returns the sphere type represented by Features::SphereBuilder::Types
Created in NX6.0.0.
License requirements : None